Package ghidra.app.util.bin.format.pe.debug

# Class DebugSymbol

java.lang.Object
ghidra.app.util.bin.format.pe.debug.DebugSymbol

Direct Known Subclasses:
  `S_BPREL32_NEW`, `S_GPROC32_NEW`

public abstract class DebugSymbol extends Object
A base class for Object Module Format (OMF) symbols.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected short`
  `length`
  `protected String`
  `name`
  `protected int`
  `offset`
  `protected short`
  `section`
  `protected short`
  `type`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DebugSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getLength()`
  Returns the length of the symbol.
  `String`
  `getName()`
  Returns the name of the symbol.
  `int`
  `getOffset()`
  Returns the offset.
  `short`
  `getSection()`
  Returns the section number.
  `short`
  `getType()`
  Returns the type of the symbol.
  `protected void`
  `processDebugSymbol(short length, short type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### length

    protected short length

  - ### type

    protected short type

  - ### name

    protected String name

  - ### section

    protected short section

  - ### offset

    protected int offset

- ## Constructor Details

  - ### DebugSymbol

    protected DebugSymbol()

- ## Method Details

  - ### processDebugSymbol

    protected void processDebugSymbol(short length, short type)

  - ### getLength

    public short getLength()
    Returns the length of the symbol.
    Returns:
      the length of the symbol

  - ### getType

    public short getType()
    Returns the type of the symbol.
    Returns:
      the type of the symbol

  - ### getName

    public String getName()
    Returns the name of the symbol.
    Returns:
      the name of the symbol

  - ### getSection

    public short getSection()
    Returns the section number.
    Returns:
      the section number

  - ### getOffset

    public int getOffset()
    Returns the offset.
    Returns:
      the offset